Instrument Data
Retrieve instrument analytics, market data, news, and related reference data.
Get All Instrument Events
Get Instrument Events
Get Instrument Fundamentals
Get Instrument Balance Sheet Statements
Get Instrument Income Statements
Get Instrument Analyst Consensus
Get Instrument Cash Flow Statements
ModelsExpand Collapse
InstrumentAllEventsData { event_dates }
All-events payload grouped by date.
Events grouped by date in descending order.
Flat event envelopes for this date.
dividend_event_data?: InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more } | null
instrument_id?: string | null
OEMS instrument identifier, when the instrument is found in the instrument cache.
InstrumentBalanceSheetStatementList = Array<InstrumentBalanceSheetStatement { accepted_date, filing_date, period, 55 more } >
InstrumentCashFlowStatementList = Array<InstrumentCashFlowStatement { accepted_date, filing_date, period, 42 more } >
InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more }
InstrumentEventEnvelope { symbol, type, dividend_event_data, 6 more }
Unified envelope for the all-events response.
dividend_event_data?: InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more } | null
instrument_id?: string | null
OEMS instrument identifier, when the instrument is found in the instrument cache.
InstrumentEventsByDate { date, events }
Instrument events for a single date.
Flat event envelopes for this date.
dividend_event_data?: InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more } | null
instrument_id?: string | null
OEMS instrument identifier, when the instrument is found in the instrument cache.
InstrumentEventsData { dividends, earnings, instrument_id, 2 more }
Grouped instrument events by type
dividends: Array<InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more } >
InstrumentFundamentals { average_volume, beta, description, 12 more }
InstrumentIncomeStatementList = Array<InstrumentIncomeStatement { accepted_date, filing_date, period, 34 more } >
All-events payload grouped by date.
Events grouped by date in descending order.
Flat event envelopes for this date.
dividend_event_data?: InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more } | null
instrument_id?: string | null
OEMS instrument identifier, when the instrument is found in the instrument cache.
Grouped instrument events by type
dividends: Array<InstrumentDividendEvent { adjusted_dividend_amount, ex_date, declaration_date, 5 more } >
InstrumentDataGetInstrumentBalanceSheetStatementsResponse extends BaseResponse { metadata, error } { data }
InstrumentDataGetInstrumentIncomeStatementsResponse extends BaseResponse { metadata, error } { data }
InstrumentDataGetInstrumentAnalystConsensusResponse extends BaseResponse { metadata, error } { data }
InstrumentDataGetInstrumentCashFlowStatementsResponse extends BaseResponse { metadata, error } { data }
Instrument DataMarket Data
Retrieve instrument analytics, market data, news, and related reference data.
Get Snapshots
Get Daily Aggregate Summaries
ModelsExpand Collapse
DailySummary { instrument_id, high, low, 4 more }
Daily aggregate (OHLV) summary for a single instrument.
Returned by GET /market-data/daily-summary. Every field except
instrument_id is Option:
- Unresolvable
instrument_id→ all other fieldsNone(includingsymbol). - Resolvable
instrument_idwith no realtime cache entry →symbolpopulated, OHLV/trade_dateNone. trade_datereflects the session the OHLV represents (today during trading hours, the last trading date during weekends/holidays).
MarketDataSnapshot { instrument_id, symbol, cumulative_volume, 4 more }
MarketDataSnapshotList = Array<MarketDataSnapshot { instrument_id, symbol, cumulative_volume, 4 more } >
Instrument DataNews
Retrieve instrument analytics, market data, news, and related reference data.